#define DEMO_BOARD APP_ESS14_1
#define APP_ESS14_1
#define CLOCK_FREQ 48000000
#define GetSystemClock() CLOCK_FREQ

//#define USE_INTERNAL_OSC

//#define USE_SELF_POWER_SENSE_IO
//#define tris_self_power     TRIS?bits.TRIS??    // Input
#if defined(USE_SELF_POWER_SENSE_IO)
#define self_power         PORT?bits.R??
#else
#define self_power          1
#endif

//#define USE_USB_BUS_SENSE_IO
//#define tris_usb_bus_sense  TRIS?bits.TRIS??    // Input
#if defined(USE_USB_BUS_SENSE_IO)
#define USB_BUS_SENSE       PORT?bits.R??
#else
#define USB_BUS_SENSE       1
#endif

/** LED ************************************************************/
#define mInitAllLEDs()      TRISAbits.TRISA5 = 0; \
                            TRISCbits.TRISC3 = 0; \
                            ANSELCbits.ANSC3 = 0; \

#define mLED_1              LATAbits.LATA5
#define mLED_2              LATCbits.LATC3

#define mGetLED_1()         mLED_1
#define mGetLED_2()         mLED_2

#define mLED_1_On()         mLED_1 = 1;
#define mLED_2_On()         mLED_2 = 1;

#define mLED_1_Off()        mLED_1 = 0;
#define mLED_2_Off()        mLED_2 = 0;

#define mLED_1_Toggle()     mLED_1 = !mLED_1;
#define mLED_2_Toggle()     mLED_2 = !mLED_2;

/** SWITCH *********************************************************/
#define mInitSwitch()      TRISCbits.TRISC2=1
#define sw1                 PORTCbits.RC2
#define mInitAllSwitches()  mInitSwitch();

/** POT ************************************************************/
//#define mInitPOT()          {TRISBbits.TRISB4=1;ADCON0=0x29;ADCON1=0xE0;ADCON2=0x00;}

#define mInitPOT()      ADCON0bits.ADON =0x01; \
                        ADCON0bits.CHS = 0x03; /* AN3 */ \
                        ADCON1bits.ADFM = 0x1; /* Right justified */ \
                        ADCON1bits.ADCS = 0x06;/* Conversion Clock = FOSC/64 */ \
                        ADCON1bits.ADPREF = 0x00; /* VREF+ = VDD */ \
                        ADCON2bits.TRIGSEL = 0x00; /* Mamual */ \
                        TRISAbits.TRISA4 = 0x01;

/** RS232 Line *****************************************************/
#define mDataRdyUSART() PIR1bits.RCIF
#define mTxRdyUSART()   TXSTAbits.TRMT

#define UART_TRISTx   TRISCbits.TRISC4
#define UART_TRISRx   TRISCbits.TRISC5
#define UART_Tx       PORTCbits.RC4
#define UART_Rx       PORTCbits.RC5

//#define UART_DTS PORT?bits.R??
//#define UART_DTR LAT?bits.LAT??
//#define UART_RTS LAT?bits.LAT??
//#define UART_CTS PORT?bits.R??
//#define mInitRTSPin() {TRIS?bits.TRIS?? = 0;ANSEL?bits.ANS?? = 0;}   //Configure RTS as a digital output.
//#define mInitCTSPin() {TRIS?bits.TRIS?? = 1;ANSEL?bits.ANS?? = 0;}   //Configure CTS as a digital input.
//#define mInitDTSPin() {TRIS?bits.TRIS?? = 1;ANSEL?bits.ANS?? = 0;}   //Configure DTS as a digital input.
//#define mInitDTRPin() {TRIS?bits.TRIS?? = 0;ANSEL?bits.ANS?? = 0;}   //Configure DTR as a digital output.

//#define UART_ENABLE   RCSTAbits.SPEN
//#define SPBRG   SPBRGL


